Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3885)
@@ -606,7 +606,7 @@
 			catch (Throwable e) {
 				// errors.add(ext);
 				
-				Log.warning(TXMCoreMessages.bind(TXMCoreMessages.CantNotifyOfP0TheP1Extension, step, ext.getName() + TXMCoreMessages.P0DblDotP1 + ext.getClass(), e));
+				Log.warning(TXMCoreMessages.bind(TXMCoreMessages.CantNotifyOfP0TheP1ExtensionP2P3P4, step, ext.getName(), ext.getClass(), e));
 				Log.printStackTrace(e);
 			}
 			// }
@@ -1071,7 +1071,7 @@
 				}
 				catch (Exception e) {
 					TXMEditor.this.getResult().resetComputingState();
-					Log.warning(NLS.bind(TXMCoreMessages.ErrorWhileComputingP1DbldotP1, this.getResultObject(), e.getMessage()));
+					Log.warning(NLS.bind(TXMCoreMessages.ErrorWhileComputingP0DbldotP1, this.getResultObject(), e.getMessage()));
 					Log.printStackTrace(e);
 				}
 				finally {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/structures/SimpleSubcorpusPanel.java	(revision 3885)
@@ -82,7 +82,7 @@
 		try {
 			structuralUnits = corpus.getOrderedStructuralUnits();
 		} catch (Exception e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, Log.toString(e)));
 			return;
 		}
 
@@ -177,7 +177,7 @@
 			values = selectedStructuralUnitProperty.getOrderedValues(corpus);
 			Collections.sort(values);
 		} catch (CqiClientException e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, Log.toString(e)));
 			return;
 		}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 3885)
@@ -23,7 +23,7 @@
 		try {
 			return Float.parseFloat(dt.getText());
 		} catch (Exception e) { 
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, Log.toString(e)));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, Log.toString(e)));
 		}
 		return null;
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3885)
@@ -216,7 +216,7 @@
 									public void run() {
 										int choice = MessageDialog.open(MessageDialog.QUESTION_WITH_CANCEL, Display.getDefault().getActiveShell(),
 												TXMUIMessages.warning, 
-												TXMUIMessages.TXMWasNotCorrectlyStopped+"\n"+NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtc, checkupResultFile) //$NON-NLS-1$
+												TXMUIMessages.TXMWasNotCorrectlyStopped+"\n"+NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtcP0FileEtc, checkupResultFile) //$NON-NLS-1$
 												, SWT.NONE, new String[] {TXMUIMessages.Cancel, TXMUIMessages.OK, TXMUIMessages.OKOpenTheDiagnosticFile});
 
 										if (choice != 0) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/Application.java	(revision 3885)
@@ -108,7 +108,7 @@
 		
 		Map args = context.getArguments();
 		List<String> argsList = Arrays.asList((String[]) (args.get("application.args"))); //$NON-NLS-1$
-		System.out.println(TXMCoreMessages.bind(TXMUIMessages.argsColon, argsList));
+		System.out.println(TXMCoreMessages.bind(TXMUIMessages.argsColonP0, argsList));
 		
 		headlessMode = argsList.contains("--headless");
 		if (headlessMode) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/SourceDirectoryPage.java	(revision 3885)
@@ -151,14 +151,14 @@
 			if (ResourcesPlugin.getWorkspace().getRoot().getProject(getCorpusName()).exists()) {
 				Project p = Toolbox.workspace.getProject(getCorpusName());
 				if (p != null && p.getChildren().size() > 0) {
-					newOrEdit.setText(NLS.bind(TXMUIMessages.SourceDirectoryPage_11, getCorpusName()));
+					newOrEdit.setText(NLS.bind(TXMUIMessages.theP0CorpusWillBeReplaced, getCorpusName()));
 				}
 				else {
-					newOrEdit.setText(NLS.bind(TXMUIMessages.SourceDirectoryPage_12, getCorpusName()));
+					newOrEdit.setText(NLS.bind(TXMUIMessages.theP0CorpusWillBeRestarted, getCorpusName()));
 				}
 			}
 			else {
-				newOrEdit.setText(NLS.bind(TXMUIMessages.SourceDirectoryPage_13, getCorpusName()));
+				newOrEdit.setText(NLS.bind(TXMUIMessages.theP0CorpusWillBeCreated, getCorpusName()));
 			}
 			
 			String corpusname = corpusName.getText();
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/editors/LexicalTableEditor.java	(revision 3885)
@@ -322,7 +322,7 @@
 							}
 							// delete
 							else {
-								Log.fine(NLS.bind(LexicalTableUIMessages.deleteColsColonP0, colindices));
+								Log.fine(NLS.bind("Delete columns with indices: {0}.", colindices));
 
 								lexicalTable.getData().removeCols(colindices);
 								lexicalTable.setAltered();
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeInterTextDistance.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeInterTextDistance.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/handlers/ComputeInterTextDistance.java	(revision 3885)
@@ -38,7 +38,7 @@
 			dist._compute();
 		}
 		catch (Exception e) {
-			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.error_error, e.getLocalizedMessage()));
+			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, e.getLocalizedMessage()));
 			Log.printStackTrace(e);
 		}
 		return null;
Index: TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.lexicaltable.rcp/src/org/txm/lexicaltable/rcp/messages/LexicalTableUIMessages.java	(revision 3885)
@@ -21,8 +21,6 @@
 	
 	public static String mergeColsColonP0;
 	
-	public static String deleteColsColonP0;
-	
 	public static String mergeOrDeleteRows;
 	
 	public static String failedToImportLexicalTable;
Index: TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java
===================================================================
--- TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.referencer.core/src/org/txm/referencer/core/functions/Referencer.java	(revision 3885)
@@ -56,6 +56,7 @@
 import java.util.List;
 import java.util.Map;
 
+import org.eclipse.osgi.util.NLS;
 import org.txm.core.messages.TXMCoreMessages;
 import org.txm.core.preferences.TXMPreferences;
 import org.txm.core.results.Parameter;
@@ -245,7 +246,7 @@
 			}
 		}
 		catch (Exception e) {
-			Log.severe(ReferencerCoreMessages.ErrorP0+e);
+			Log.severe(NLS.bind(ReferencerCoreMessages.ErrorP0, e));
 			Log.printStackTrace(e);
 			return false;
 		}
Index: TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java
===================================================================
--- TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.cooccurrence.core/src/org/txm/cooccurrence/core/functions/Cooccurrence.java	(revision 3885)
@@ -449,7 +449,7 @@
 			toTxt(writer, colseparator, txtseparator);
 		}
 		catch (Exception e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, e));
 			return false;
 		}
 		return true;
@@ -1732,7 +1732,7 @@
 			writer.close();
 		}
 		catch (IOException e) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_error, e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.error_errorP0, e));
 			return false;
 		}
 
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationManager.java	(revision 3885)
@@ -531,12 +531,12 @@
 		String headers [] = reader.getHeaders();
 		String cols [] = {"text_id", "id", "end_id", "start", "end", "type", "value", "mode", "date", "annotator"}; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$ //$NON-NLS-7$ //$NON-NLS-8$ //$NON-NLS-9$ //$NON-NLS-10$
 		if (headers.length != cols.length) {
-			Log.warning(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", ")); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+			Log.warning(NLS.bind(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1,StringUtils.join(headers, ", "), StringUtils.join(cols, ", "))); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			return false;
 		}
 		for (int i = 0 ; i < cols.length ; i++) {
 			if (!(headers[i].equals(cols[i]))) {
-				Log.warning(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1+StringUtils.join(headers, ", ")+". Should be: "+StringUtils.join(cols, ", ")); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+				Log.warning(NLS.bind(Messages.errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1, StringUtils.join(headers, ", "), StringUtils.join(cols, ", "))); //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 				return false;
 			}
 		}
@@ -577,7 +577,7 @@
 					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId)); //$NON-NLS-1$
 					QueryResult qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
+						Log.warning(NLS.bind(Messages.noMatchFoundWithCQLEqualP0, cql));
 						continue;
 					}
 					startPos = qr.getMatch(0).getStart();
@@ -586,7 +586,7 @@
 					CQLQuery cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", startId, textId)); //$NON-NLS-1$
 					QueryResult qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
+						Log.warning(NLS.bind(Messages.noMatchFoundWithCQLEqualP0, cql));
 						continue;
 					}
 					startPos = qr.getMatch(0).getStart();
@@ -594,7 +594,7 @@
 					cql = new CQLQuery(NLS.bind("[id=\"{0}\" & _.text_id=\"{1}\"]", endId, textId)); //$NON-NLS-1$
 					qr = corpus.query(cql , "TMP", false); //$NON-NLS-1$
 					if (qr.getNMatch() == 0) {
-						Log.warning(Messages.noMatchFoundWithCQLEqualP0+cql);
+						Log.warning(NLS.bind(Messages.noMatchFoundWithCQLEqualP0, cql));
 						continue;
 					}
 					endPos = qr.getMatch(0).getStart();
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/conversion/CorpusRuledConvertion.java	(revision 3885)
@@ -111,7 +111,7 @@
 				
 				tmpFile.renameTo(xmlFile);
 				if (tmpFile.exists()) {
-					Log.warning(NLS.bind(Messages.CouldNotReplaceOriginalFileWithTheP0ResultFile, xmlFile, tmpFile));
+					Log.warning(NLS.bind(Messages.CouldNotReplaceOriginalFileWithTheP0ResultFileP1, xmlFile, tmpFile));
 					return false;
 				}
 			}
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/AnnotationWriter.java	(revision 3885)
@@ -78,7 +78,8 @@
 	 * @throws XMLStreamException
 	 */
 	protected boolean writeTextAnnotationToSyMoGIH(String textid, File currentXMLFile, File currentXMLStandoffFile, File xmlStandOffDirectory) throws IOException, CqiServerError, CqiClientException, InvalidCqpIdException, XMLStreamException {
-		Log.info(Messages.TestP0 + textid);
+		
+		Log.info(NLS.bind(Messages.TestP0, textid));
 		boolean show_debug = Log.getLevel().intValue() < Level.INFO.intValue();
 		
 		AnnotationSyMoGIHWriter annotationstdoff = new AnnotationSyMoGIHWriter(textid, currentXMLFile, xmlStandOffDirectory, types, show_debug);
@@ -257,7 +258,7 @@
 				if (!writeAnnotationsInFile(currentXMLFile, start_limits[currentText],
 						allSegmentAnnotations, allTokenAnnotations,
 						tmpXMLTXMDirectory, previousXMLTXMDirectory)) {
-					Log.severe(Messages.ErrorWhileWritingAnnotationsOfTextP0 + currentXMLFile);
+					Log.severe(NLS.bind(Messages.ErrorWhileWritingAnnotationsOfTextP0, currentXMLFile));
 					return false;
 				}
 				else {
Index: TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.annotation.kr.core/src/org/txm/annotation/kr/core/messages/Messages.java	(revision 3885)
@@ -70,7 +70,7 @@
 	public static String annotationSuccesfullyWrittenIntheP0File;
 	
 	public static String ConversionRulesP0;
-	public static String CouldNotReplaceOriginalFileWithTheP0ResultFile;
+	public static String CouldNotReplaceOriginalFileWithTheP0ResultFileP1;
 
 	public static String deleteAnnotationCanceled;
 	public static String errorAnnotationFileHeaderFormatIsNotWekkfomattedP0ItShouldBeP1;
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/Convert5To6.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/importer/Convert5To6.java	(revision 3885)
@@ -37,7 +37,7 @@
 		File param = new File(corpusdir, "import.xml"); //$NON-NLS-1$
 		if (!param.exists()) { 
 			//System.out.println("\n");
-			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.isMissing,param)); //$NON-NLS-1$
+			System.out.println(TXMCoreMessages.bind(TXMCoreMessages.P0isMissing, param)); //$NON-NLS-1$
 			return false; 
 		}
 
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 3885)
@@ -19,7 +19,7 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
 	
-	public static String BaseOldParameters_96;
+	public static String warningNoCorpusTagFoundInTheP0FileBlehblehbleh;
 	
 	public static String common_absoluteFrequency;
 	
@@ -39,7 +39,7 @@
 	
 	public static String common_fMin;
 	
-	public static String common_fMinEquals;
+	public static String common_fMinEqualsP0;
 	
 	public static String common_frequency;
 	
@@ -89,10 +89,10 @@
 	
 	public static String info_computingChildrenOfP0P1;
 	
-	public static String error_error2;
-	
 	public static String error_error;
 	
+	public static String error_errorP0;
+	
 	public static String error_errorWhileSortingResult;
 	
 	public static String corpusImportDoneInP0;
@@ -109,7 +109,7 @@
 
 	public static String CannotCallATXMCommandWithoutIDParametersP0;
 
-	public static String CantNotifyOfP0TheP1Extension;
+	public static String CantNotifyOfP0TheP1ExtensionP2P3P4;
 
 	public static String CouldNotDeleteTheP0Result;
 
@@ -135,8 +135,6 @@
 	
 	public static String dataDirectoryIsMissingColonP0;
 
-	public static String deleteColsColonP0;
-	
 	public static String doesNotExists;
 	
 	public static String eRRORColonExists;
@@ -157,11 +155,11 @@
 	
 	public static String errorColonSkippingTheLoadingOfTheP0Corpus;
 	
-	public static String errorColonTheConnexionToTheServerFailedColonWrongPortFormat;
+	public static String errorColonTheConnexionToTheServerFailedColonWrongPortFormatP0;
 	
 	public static String errorColonThisExceptionShouldNotBeThrown;
 	
-	public static String errorColonWhileConnectionToSearchEngineWithTheFollowingParametersColon;
+	public static String errorColonWhileConnectionToSearchEngineWithTheFollowingParametersDblColonP0P1;
 	
 	public static String errorConfigdirDirColon;
 	
@@ -175,9 +173,8 @@
 	
 	public static String errorWhileGettingMetadatasFromBaseimportMetadatasColon;
 
-	public static String errorWhileImportingDataColonP0;
 	
-	public static String errorWhileWaitingForCQP;
+	public static String errorWhileWaitingForCQPP0;
 	
 	public static String evaluatingExtensionColonP0FromP1;
 	
@@ -189,11 +186,11 @@
 	
 	public static String failedToCreatePartColon;
 	
-	public static String failedToExec;
+	public static String failedToExecP0P1;
 	
-	public static String failedToExecTaskkillIMCqpserverexeFColon;
+	public static String failedToExecTaskkillIMCqpserverexeFColonP0;
 	
-	public static String failedToExecTskillCqpserverexeColon;
+	public static String failedToExecTskillCqpserverexeColonP0;
 	
 	public static String failedToGetLastCQPErrorColon;
 	
@@ -203,9 +200,9 @@
 	
 	public static String failedToLoadBaseParametersFromTheP0File;
 	
-	public static String failedToRestorePartition;
+	public static String failedToRestoreTheP0PartitionOfP1P2;
 	
-	public static String failedToRestoreSubcorpus;
+	public static String failedToRestoreTheP0SubcorpusOfP1P2;
 	
 	public static String failedToStartMemCqiClientColon;
 	
@@ -231,7 +228,7 @@
 	
 	public static String initializationOfGroovyImportScriptRunner;
 	
-	public static String isMissing;
+	public static String P0isMissing;
 	
 	public static String isNotAValidCQPIDForACorpusItMustBeInUppercaseCharacters;
 	
@@ -331,7 +328,7 @@
 	
 	public static String xmlValidationColonP0IsNotReadable;
 	
-	public static String initializingCorpora;
+	public static String initializingCorporaP0P1;
 	
 	public static String errorWhilePostInstallingPluginsP0;
 	
@@ -353,7 +350,7 @@
 
 	public static String ErrorToolboxIsNotCorrectlyInitializedAborting;
 
-	public static String ErrorWhileComputingP1DbldotP1;
+	public static String ErrorWhileComputingP0DbldotP1;
 
 	public static String ErrorWhileStartingEngines;
 
@@ -371,8 +368,6 @@
 
 	public static String InitializingToolbox;
 
-	public static String P0DblDotP1;
-
 	public static String WarningWorkspaceCannotFoundTheRedistDirectoryP0;
 	
 	/**
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 3885)
@@ -568,7 +568,7 @@
 			}
 		}
 		
-		Log.warning(NLS.bind(TXMCoreMessages.BaseOldParameters_96, paramFile));
+		Log.warning(NLS.bind(TXMCoreMessages.warningNoCorpusTagFoundInTheP0FileBlehblehbleh, paramFile));
 		return null;
 	}
 	
Index: TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java
===================================================================
--- TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.core/src/java/org/txm/objects/Workspace.java	(revision 3885)
@@ -473,11 +473,11 @@
 		IProject projects[] = rcpWorkspace.getRoot().getProjects();
 
 		Log.fine("Toolbox.initialize(): " + projects.length + " project(s) found in workspace.");
-		if (monitor != null) monitor.setTaskName(NLS.bind(TXMCoreMessages.initializingCorpora, 0, projects.length));
+		if (monitor != null) monitor.setTaskName(NLS.bind(TXMCoreMessages.initializingCorporaP0P1, 0, projects.length));
 		int c = 0;
 		for (IProject project : projects) {
 			c++;
-			if (monitor != null) monitor.setTaskName(NLS.bind(TXMCoreMessages.initializingCorpora, c, projects.length));
+			if (monitor != null) monitor.setTaskName(NLS.bind(TXMCoreMessages.initializingCorporaP0P1, c, projects.length));
 			if (monitor != null) monitor.subTask(project.getName());
 			if (project.getLocation() == null || !project.getLocation().toFile().exists()) {
 				project.delete(true, null);
Index: TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/messages/IndexUIMessages.java	(revision 3885)
@@ -52,7 +52,7 @@
 
 	public static String tP0vP1fminP2fmaxP3;
 
-	public static String WarningTheNumberOfColumnsExceedsP1P1TheTableWasCut;
+	public static String WarningTheNumberOfColumnsExceedsP0P1TheTableWasCut;
 
 	static {
 		// initialize resource bundle
Index: TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.index.rcp/src/org/txm/index/rcp/editors/PartitionIndexEditor.java	(revision 3885)
@@ -491,7 +491,7 @@
 					for (int i = 0; i < partnames.size(); i++) {
 						
 						if (i >= MAX_NUMBER_OF_COLUMNS) {
-							Log.warning(NLS.bind(IndexUIMessages.WarningTheNumberOfColumnsExceedsP1P1TheTableWasCut, MAX_NUMBER_OF_COLUMNS, partnames.size()));
+							Log.warning(NLS.bind(IndexUIMessages.WarningTheNumberOfColumnsExceedsP0P1TheTableWasCut, MAX_NUMBER_OF_COLUMNS, partnames.size()));
 							break;
 						}
 						
Index: TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/messages/ProgressionUIMessages.java	(revision 3885)
@@ -42,7 +42,7 @@
 
 	public static String selectAnUTF8PropertyFile; 
 
-	public static String error_theQueryIsAlreadyRepresentedByACurveInTheGraphic;
+	public static String error_theP0QueryIsAlreadyRepresentedByACurveInTheGraphic;
 
 	static {
 		// initializes resource bundle
Index: TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3885)
@@ -590,8 +590,8 @@
 		}
 		
 		if (count > maxCount) {
-			MessageDialog d = new MessageDialog(this.getShell(), TXMCoreMessages.error_error2, null,
-					NLS.bind(ProgressionUIMessages.error_theQueryIsAlreadyRepresentedByACurveInTheGraphic, query), 0, new String[] { TXMCoreMessages.common_ok }, 0);
+			MessageDialog d = new MessageDialog(this.getShell(), TXMCoreMessages.error_error, null,
+					NLS.bind(ProgressionUIMessages.error_theP0QueryIsAlreadyRepresentedByACurveInTheGraphic, query), 0, new String[] { TXMCoreMessages.common_ok }, 0);
 			d.open();
 			return true;
 		}
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/CQPCorpus.java	(revision 3885)
@@ -448,7 +448,7 @@
 					partition.setParameters(name, queries, names);
 				}
 				catch (Exception ex) {
-					Log.warning(TXMCoreMessages.bind(TXMCoreMessages.failedToRestorePartition, name, this.pID, ex));
+					Log.warning(TXMCoreMessages.bind(TXMCoreMessages.failedToRestoreTheP0PartitionOfP1P2, name, this.pID, ex));
 				}
 			}
 		}
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/corpus/Subcorpus.java	(revision 3885)
@@ -224,7 +224,7 @@
 					subcorp._load(subcorpusElem);
 				}
 				catch (Exception ex) {
-					Log.warning(this.pID + TXMCoreMessages.failedToRestoreSubcorpus + subcorpusElem.getAttribute("name")
+					Log.warning(this.pID + TXMCoreMessages.failedToRestoreTheP0SubcorpusOfP1P2 + subcorpusElem.getAttribute("name")
 					+ " : " + ex); //$NON-NLS-1$
 				}
 			}
@@ -250,7 +250,7 @@
 					partition._load(partitionElem);
 				}
 				catch (Exception ex) {
-					Log.warning(TXMCoreMessages.bind(TXMCoreMessages.failedToRestoreSubcorpus, name, this.pID, ex));
+					Log.warning(TXMCoreMessages.bind(TXMCoreMessages.failedToRestoreTheP0SubcorpusOfP1P2, name, this.pID, ex));
 				}
 			}
 		}
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 3884)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/CQPSearchEngine.java	(revision 3885)
@@ -137,10 +137,10 @@
 			}
 		}
 		catch (NumberFormatException e1) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonTheConnexionToTheServerFailedColonWrongPortFormat, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonTheConnexionToTheServerFailedColonWrongPortFormatP0, CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)));
 		}
 		catch (ServerNotFoundException e1) {
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonWhileConnectionToSearchEngineWithTheFollowingParametersColon, CQPLibPreferences.getInstance().getString(
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorColonWhileConnectionToSearchEngineWithTheFollowingParametersDblColonP0P1, CQPLibPreferences.getInstance().getString(
 					CQPLibPreferences.CQI_SERVER_HOST),
 					CQPLibPreferences.getInstance().getString(CQPLibPreferences.CQI_SERVER_PORT)));
 		}
@@ -193,7 +193,7 @@
 		}
 		catch (Exception e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
-			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorWhileWaitingForCQP, e));
+			Log.severe(TXMCoreMessages.bind(TXMCoreMessages.errorWhileWaitingForCQPP0, e));
 		}
 		
 		// FIXME: SJ: this test should be moved at start of this method? before running CQP?
@@ -343,8 +343,8 @@
 					p.waitFor();
 				}
 				catch (IOException e) {
-					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColon, Log.toString(e)));
-					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColon, Log.toString(e)));
+					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColonP0, Log.toString(e)));
+					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTaskkillIMCqpserverexeFColonP0, Log.toString(e)));
 					try {
 						Process p = Runtime.getRuntime().exec("tskill cqpserver.exe"); //$NON-NLS-1$
 						p.waitFor();
@@ -353,8 +353,8 @@
 					}
 					catch (IOException e2) {
 						e2.printStackTrace();
-						Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColon, Log.toString(e2)));
-						System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColon, Log.toString(e2)));
+						Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColonP0, Log.toString(e2)));
+						System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecTskillCqpserverexeColonP0, Log.toString(e2)));
 					}
 					catch (InterruptedException e3) {
 						e3.printStackTrace();
@@ -389,8 +389,8 @@
 					
 				}
 				catch (Exception e) {
-					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExec, cmd, Log.toString(e)));
-					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExec, cmd, Log.toString(e)));
+					Log.severe(TXMCoreMessages.bind(TXMCoreMessages.failedToExecP0P1, cmd, Log.toString(e)));
+					System.out.println(TXMCoreMessages.bind(TXMCoreMessages.failedToExecP0P1, cmd, Log.toString(e)));
 					org.txm.utils.logger.Log.printStackTrace(e);
 				}
 			}
